{ pkgs, ... }:
{
  programs.zed-editor = {
    enable = true;
    extensions = [
      "nix"
    ];
    extraPackages = [
      pkgs.nixd
    ];
    userSettings = {
      "assistant" = {
        "default_model" = {
          "provider" = "openai";
          "model" = "o1-mini";
        };
        "version" = "2";
      };
      "vim_mode" = false;
      "ui_font_size" = 16;
      "buffer_font_size" = 16;
      "theme" = {
        "mode" = "system";
        "light" = "Andromeda";
        "dark" = "One Dark";
      };
      "telemetry" = {
        "diagnostics" = false;
        "metrics" = false;
      };
    };
  };
}
